summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorsL1pKn072020-11-14 14:20:57 +0100
committersL1pKn072020-11-14 14:20:57 +0100
commiteca502efcb45cd7b2d1a9471df0a4835ac96ac74 (patch)
treeb74a1d7a3d4a111ef2d78c16b428f7c36a17585b
parent69f159b7d90c11a379289c5f1b63217c8af2a23a (diff)
downloadaur-eca502efcb45cd7b2d1a9471df0a4835ac96ac74.tar.gz
bump
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD17
2 files changed, 25 insertions, 2 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 287994b93e9..e98ff2e1e41 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pipewire-git
pkgdesc = Server and user space API to deal with multimedia pipelines. (GIT version)
- pkgver = 0.3.15.71.g13a1049a
+ pkgver = 0.3.15.75.g80e063c6
pkgrel = 1
url = https://pipewire.org
arch = x86_64
@@ -43,6 +43,7 @@ pkgname = pipewire-git
optdepends = pipewire-docs-git: Documentation
optdepends = pipewire-jack-git: JACK support
optdepends = pipewire-alsa-git: ALSA support
+ optdepends = pipewire-pulse-git: PulseAudio support
provides = pipewire
provides = libpipewire-0.3.so
conflicts = pipewire
@@ -68,3 +69,10 @@ pkgname = pipewire-alsa-git
provides = pipewire-alsa
conflicts = pipewire-alsa
+pkgname = pipewire-pulse-git
+ pkgdesc = Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)
+ depends = libpipewire-0.3.so
+ depends = libglib-2.0.so
+ provides = pipewire-pulse
+ conflicts = pipewire-pulse
+
diff --git a/PKGBUILD b/PKGBUILD
index 1a60b5ddfdf..69ead561013 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,8 +3,9 @@ pkgname=('pipewire-git'
'pipewire-docs-git'
'pipewire-jack-git'
'pipewire-alsa-git'
+ 'pipewire-pulse-git'
)
-pkgver=0.3.15.71.g13a1049a
+pkgver=0.3.15.75.g80e063c6
pkgrel=1
pkgdesc='Server and user space API to deal with multimedia pipelines. (GIT version)'
arch=('x86_64')
@@ -92,6 +93,7 @@ package_pipewire-git() {
optdepends=('pipewire-docs-git: Documentation'
'pipewire-jack-git: JACK support'
'pipewire-alsa-git: ALSA support'
+ 'pipewire-pulse-git: PulseAudio support'
)
provides=('pipewire'
"libpipewire-${pkgver:0:3}.so"
@@ -115,6 +117,8 @@ package_pipewire-git() {
# Use alsa-card-profiles built with Pulseaudio
rm -rv "$pkgdir"/usr/share/alsa-card-profile
+
+ _pick pulse usr/bin/pipewire-pulse usr/lib/systemd/user/pipewire-pulse*
}
package_pipewire-docs-git() {
@@ -147,3 +151,14 @@ package_pipewire-alsa-git() {
mkdir -p "${pkgdir}/etc/alsa/conf.d"
ln -st "${pkgdir}/etc/alsa/conf.d" /usr/share/alsa/alsa.conf.d/99-pipewire-default.conf
}
+
+package_pipewire-pulse-git() {
+ pkgdesc='Server and user space API to deal with multimedia pipelines. (Pulse support)(GIT version)'
+ depends=("libpipewire-${pkgver:0:3}.so"
+ 'libglib-2.0.so'
+ )
+ provides=('pipewire-pulse')
+ conflicts=('pipewire-pulse')
+
+ mv pulse/* "${pkgdir}"
+}